library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package types is
    constant MAX_SNAKE : integer := 1200;
    constant SNAKE_ADDRESS_SIZE : integer :=11;
    type coord is array(0 to 39, 0 to 29) of unsigned(SNAKE_ADDRESS_SIZE-1 downto 0);
    type direction is (haut, bas, gauche, droite);
    type pos is record
        X: unsigned(9 downto 0);
        Y: unsigned(8 downto 0);
        dir: direction;
        isDefined: std_logic;
    end record;
end package;
